
Redmine - Defect #2102

Inline images don't work if file name has upper case letters or if image is in BMP format

2008-10-28 01:19 - Arndt Lehmann

Status: Closed Start date: 2008-10-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version:  

Description

I am using the following redmine / environment:

1. database version: mysql-server-5.0.51a-1.fc9.i386

2. ruby version: ruby 1.8.6 (2008-03-03 patchlevel 114) [i386-linux]

3. rails: 2.1.0

4. redmine version: trunk revision 1957

"Normal" inline images (e. g. in an image update) work fine.

However the inline images do not work when using either

image file names with upper case letters

images in BMP format

Refer to the attached images for details:

uploaded files + textile of issue note:

 s240.png 

result:

 s241.png 

Associated revisions

Revision 1958 - 2008-10-28 11:43 - Jean-Philippe Lang

Fixed: Inline images don't work if file name has upper case letters or if image is in BMP format (#2102).

History

#1 - 2008-10-28 01:21 - Arndt Lehmann

- File s239.png added

- File s240.PNG added

- File s241.bmp added

Trying to reproduce on this issue itself.

works:

 s239.png 

does not work - upper case problem:

 s240.PNG 

does not work - BMP problem:

 s241.bmp 

#2 - 2008-10-28 01:22 - Arndt Lehmann

Successfully reproduced on this issue itself.

(Note: I am using Firefox 3.0.3)

And anyway, thanks for this great software!

#3 - 2008-10-28 11:41 - Jean-Philippe Lang
- Category set to Attachments

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Fixed in r1958.

Files

s240.png 13.6 KB 2008-10-28 Arndt Lehmann

s241.png 19.2 KB 2008-10-28 Arndt Lehmann

s239.png 10 KB 2008-10-28 Arndt Lehmann

s240.PNG 10 KB 2008-10-28 Arndt Lehmann

s241.bmp 72.8 KB 2008-10-28 Arndt Lehmann
